import { Base, Type } from "./type";
import { ISummaryResult } from "./ISummaryResult";
import { DataSourceSectionHeaderDisplayMode } from "./DataSourceSectionHeaderDisplayMode";
/**
 * @hidden
 */
export declare class SectionData extends Base {
    static $t: Type;
    m: number;
    n: number;
    l: number;
    c: string[];
    d: any[];
    e: ISummaryResult[];
    h: number;
    g: number;
    k: number;
    get j(): number;
    get i(): number;
    b: boolean[];
    a: string[];
    get f(): boolean;
    o(a: DataSourceSectionHeaderDisplayMode, b: boolean): void;
    p(a: DataSourceSectionHeaderDisplayMode, b: boolean, c: number): void;
}
